### Function: RegisterQuest(quest, name, type, zone, level, description)

**Description:**
Allows overriding the Quet's name, type, zone, level and description details.

**Parameters:**
- `quest` (Quest) - Quest object representing `quest`.
- `name` (string) - String `name`.
- `type` (int32) - Integer value `type`.
- `zone` (Zone) - Zone object representing `zone`.
- `level` (int32) - Integer value `level`.
- `description` (int32) - Integer value `description`.

**Returns:** None.

**Example:**

Example Required
